module "private_server_group" {
  source                     = "./modules/private_server_group"
  location                   = var.location
  network_zone               = var.network_zone
  server_count               = var.server_count
  server_subnetwork_ip_range = var.subnetwork_ip_range
  ssh_keys                   = var.ssh_keys
}

module "loadbalancer" {
  source         = "./modules/loadbalancer"
  location       = var.location
  subnet_id      = module.private_server_group.subnetwork_id
  network_id     = module.private_server_group.network_id
  lb_internal_ip = var.lb_internal_ip
  lb_external_ip = var.lb_external_ip
  lb_service_id  = var.lb_service_id
  ssh_key_ids    = module.private_server_group.ssh_key_ids
}
