variable "server_count" {
  description = "The number of servers to create"
  type        = number
}

variable "server_image" {
  description = "ID or name of the Image the Server is created from"
  type        = string
  default     = "ubuntu-22.04"
}

variable "server_type" {
  description = "ID or name of the Server type this Server should be created with"
  type        = string
  default     = "cx21"
}

variable "location" {
  description = <<-EOT
    Location of the infrastructure. Needs to be aligned with network zone.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "network_zone" {
  description = <<-EOT
    Name of the network zone. Needs to be aligned with server location.
    For more information visit https://docs.hetzner.com/cloud/general/locations/
  EOT
  type        = string
}

variable "network_ip_range" {
  description = "IP range of the main network"
  type        = string
  default     = "10.0.0.0/8"
}

variable "server_subnetwork_ip_range" {
  description = "Subnetwork IP range of the servers"
  type        = string
  default     = "10.0.0.0/24"
}

variable "ssh_keys" {
  description = "SSH keys to add to the servers"
  type        = list(string)
}
